Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyParameter

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyParameter

All Implemented Interfaces:
  GroovyParameter

    public class SimpleGroovyParameter
    extends java.lang.Object

Constructor Summary
`SimpleGroovyParameter(java.lang.String name)`

Method Summary
`void` | `addAnnotationRef(GroovyAnnotationRef ref)`
`GroovyAnnotationRef[]` | `annotations()`
`java.lang.String` | `defaultValue()`
`boolean` | `isTypeAvailable()`
`java.lang.String` | `name()`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setType(GroovyType type)`
`void` | `setTypeName(java.lang.String typeName)`
`void` | `setVararg(boolean vararg)`
`GroovyType` | `type()`
`java.lang.String` | `typeName()`
`boolean` | `vararg()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyParameter

    public SimpleGroovyParameter(java.lang.String name)

Method Detail

### addAnnotationRef

    public void addAnnotationRef(GroovyAnnotationRef ref)

### annotations

    public GroovyAnnotationRef[] annotations()

### defaultValue

    public java.lang.String defaultValue()

### isTypeAvailable

    public boolean isTypeAvailable()

### name

    public java.lang.String name()

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### setType

    public void setType(GroovyType type)

### setTypeName

    public void setTypeName(java.lang.String typeName)

### setVararg

    public void setVararg(boolean vararg)

### type

    public GroovyType type()

### typeName

    public java.lang.String typeName()

### vararg

    public boolean vararg()

Groovy Documentation